# SourcePath: libcap-ng/20160307dev
Summary: An alternate library for getting/setting POSIX.1e capabilities
Name: sony-target-dev-libcap-ng
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-libcap-ng
Version: 0.7.7
Release: 12000002
License: LGPLv2.1 / GPLv2
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
URL: http://people.redhat.com/sgrubb/libcap-ng

Source0: libcap-ng-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}

%description
The libcap-ng library is intended to make programming with posix
capabilities much easier than the traditional libcap library

%package -n %{pkgname}
Summary: An alternate library for getting/setting POSIX.1e capabilities
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
The libcap-ng library is intended to make programming with posix
capabilities much easier than the traditional libcap library.

%prep
%setup -q -n libcap-ng-%{version}

%build

%sony_target_dev_setup
autoreconf 
%sony_target_dev_configure \
     --with-python 

make

%install
rm -rf %{buildroot}
%sony_target_dev_setup
%define sony_objdir objdir
cd %{sony_objdir} &&
make DESTDIR=%{buildroot}%{sony_target_dir}  install


rm -rf  %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/man

%demangle_libtool

# 6.x

mkdir -p ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}
mv ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_lib_dir}/*.a \
        ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}
mv ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_lib_dir}/pkgconfig \
        ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
    if [ "$l" != "pkgconfig" ]; then
        ln -s ../..%{sony_target_devtool_lib_dir}/$l \
            ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
    fi
done

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root,-)
%{sony_target_dir}/%{sony_target_dev_bin_dir}/captest
%{sony_target_dir}/%{sony_target_dev_bin_dir}/filecap
%{sony_target_dir}/%{sony_target_dev_bin_dir}/netcap
%{sony_target_dir}/%{sony_target_dev_bin_dir}/pscap
%{sony_target_dir}/%{sony_target_devtool_lib_dir}/libcap-ng.a
%{sony_target_dir}/%{sony_target_dev_lib_dir}/libcap-ng.a
%{sony_target_dir}/%{sony_target_dev_lib_dir}/libcap-ng.la
%{sony_target_dir}/%{sony_target_dev_lib_dir}/libcap-ng.so
%{sony_target_dir}/%{sony_target_dev_lib_dir}/libcap-ng.so.0
%{sony_target_dir}/%{sony_target_dev_lib_dir}/libcap-ng.so.0.0.0
%{sony_target_dir}/usr/share/aclocal/cap-ng.m4
%{sony_target_dir}/%{sony_target_devtool_include_dir}/cap-ng.h
%{sony_target_dir}/%{sony_target_devtool_lib_dir}/pkgconfig/libcap-ng.pc

%changelog
* Tue Dec 03 2019 Sony Corporation
- Changed license info from LGPLv2+/GPLv2 to LGPLv2.1/GPLv2

* Tue Nov 26 2019 Sony Corporation
- Fixed License issue

* Mon Mar 07 2016 Sony Corporation
- Initial build for target environment.
